Summary:	Cromwell is a free, legal bios replacement for the Xbox
Name:		cromwell
Version:	2.41
Release:	5mdk
License:	GPL
Group:		System/Kernel and hardware		

Source:		http://prdownloads.sourceforge.net/xbox-linux/%{name}-%{version}.tar.bz2
Source1:	Mandrivalinux.jpg
Patch0:		cromwell-2.41-mdkmods.patch.bz2
Url:		http://xbox-linux.sourceforge.net/
BuildRoot:	%_tmppath/%name-%version-root
Buildarch:	noarch

%description
Cromwell is a free, legal bios replacement for the Xbox. It is capable of 
loading Linux from the Xbox's Hard Disk, and CDROM. It is not able to load 
Xbox games, either originals or copies. It can be installed and used in 
one of two ways.

* Flashed to a modchip - If selected, it will let you boot linux. If not 
selected, it will load the original MS bios, so no functionality is lost.
* Flashed to the TSOP - this replaces the MS bios stored on the Xbox, and 
makes it impossible to play games (whether original or not). 

The advantage of the second method is that it makes it possible to 
dedicate the whole harddisk to Xbox Linux.

Xromwell is a very similar program, built from the same sourcecode. 
However, instead of being a bios, it is an XBE (XBox Executable), meaning 
that it can be launched like other XBEs. It is not signed with the MS key, 
which means you will need either a modchip with a bios that allows you to 
run unsigned XBEs, or a softmod exploit, such as the UDE.

Cromwell/Xromwell also has a number of other functions, such as locking and 
unlocking hard disks, and selecting video modes (PAL/NTSC switching). 

See: http://www.xbox-linux.org/Cromwell_Manual for further reading.

%prep
%setup -q
%patch0 -p1 -b .mdkmods
sed -i 's|mcpu=|mtune=|g' Makefile
sed -i 's|-Werror||g' Makefile
cp %SOURCE1 pics

%build
#(sb) parallel make fails on the cluster
make
#(sb) save full build
mkdir bootloaders
install image/%{name}*.bin bootloaders
install xbe/xromwell.xbe bootloaders
#(sb) minimal xromwell for installer
sed -i 's|ETHERBOOT := yes|ETHERBOOT := no|' Makefile
sed -i 's|//#define INSTALLER|#define INSTALLER|' include/config.h
sed -i 's|#define ADVANCED_MENU|//#define ADVANCED_MENU|' include/config.h
sed -i 's|BOOT_TIMEWAIT 15|BOOT_TIMEWAIT 1|' include/config.h
sed -i 's|//#define XPAD_VIBRA_STARTUP|#define XPAD_VIBRA_STARTUP|' include/config.h
sed -i 's|//#define SILENT_MODE|#define SILENT_MODE|' include/config.h
make
install xbe/xromwell.xbe bootloaders/xromwell-installer.xbe

%install
rm -fr %buildroot
install -d %buildroot%{_datadir}/%{name}
install bootloaders/* %buildroot%{_datadir}/%{name}

%clean
rm -fr %buildroot

%files 
%defattr(-,root,root)
%doc COPYING
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/?romwell*

%changelog
* Tue Aug 09 2005 Stew Benedict <sbenedict@mandrakesoft.com>  2.41-5mdk
- update artwork, don't need linuxboot.cfg

* Tue Jun 21 2005 Stew Benedict <sbenedict@mandrakesoft.com>  2.41-4mdk
- add linuxboot.cfg for installer

* Tue Mar 22 2005 Stew Benedict <sbenedict@mandrakesoft.com>  2.41-3mdk
- update splashscreen 

* Wed Mar  2 2005 Stew Benedict <sbenedict@mandrakesoft.com>  2.41-2mdk
- add patch to use mdk graphic, let SILENT_MODE boot, add INSTALLER (P0)
- build minimal installer version that boots directly from CD/DVD

* Fri Jan 28 2005 Stew Benedict <sbenedict@mandrakesoft.com>  2.41-1mdk
- first Mandrakelinux release - cvs snapshot
